# synfigapp::ValueBaseTimeInfo Struct Reference

`#include <timegather.h>`

List of all members.

## Public Member Functions

bool | operator< (const ValueBaseTimeInfo &rhs) const

## Public Attributes

synfig::ValueNode_Animated::Handle | val
std::set< synfig::Waypoint > | waypoints

## Member Function Documentation

bool synfigapp::ValueBaseTimeInfo::operator< | ( | const ValueBaseTimeInfo & | rhs | ) | const`[inline]`

References val.

## Member Data Documentation

synfig::ValueNode_Animated::Handle synfigapp::ValueBaseTimeInfo::val

Referenced by synfigapp::timepoints_ref::insert(), and operator<().

std::set<synfig::Waypoint> synfigapp::ValueBaseTimeInfo::waypoints `[mutable]`

Referenced by synfigapp::timepoints_ref::insert().

The documentation for this struct was generated from the following file:

- timegather.h